吐槽CSDN强行实名制

上个月发现登陆CSDN需要绑定手机号了,不过下方还有个跳过按钮。 不过直到上周发现登陆已是必须绑定手机号: 点了页面中的《互联网用户账号名称管理规定》发现并不是直接跳转百度百科的词条解释页面,而是进入了CSDN的官方公告 。底下的评论一片骂声,我截个图: 看的我不禁笑出声,no zuo no die啊,居然还让用户编辑发送短信,这公司真是省了一大笔费用,而且这用户体验让人爆棚~ 不过自己的CSDN账号上发了一些博文。懒得转移,想想算了。 看到评论中有的提到CSDN密码泄露事件,倒让我想起了一当时这事。 翻了邮件,发现自己注册CSDN不算晚,2009年8月18日。 在2011年,csdn的600w用户信息外泄,那个sql库200MB+,我下来看了下,嗯,很不幸,我的信息也在里边,账号/密码/邮箱,没错,密码是明文的。 去搜了下csdn在2011年的600w用户信息外泄的事件。 在其他网站截取当时(没错,现在已经找不到了)官方的一段说法:   CSDN网站早期使用过明文密码,使用明文是因为和一个第三方chat程序整合验证带来的,后来的程序员始终未对此进行处理。一直到2009年4月当时的程序员修改了密码保存方式,改成了加密密码。   但部分老的明文密码未被清理,2010年8月底,对帐号数据库全部明文密码进行了清理。 2011年元旦我们升级改造了CSDN帐号管理功能,使用了强加密算法,解决了CSDN帐号的各种安全性问题。   2009年4月之前是明文,2009年4月之后是加密的,但部分明文密码未清理;2010年8月底清理掉了所有明文密码。所以从2010年9月开始全部都是安全的,9月之前的有可能不安全。   泄露出来的CSDN明文帐号数据是2010年9月之前的数据,其中绝大部分是2009年4月之前的数据。因此可以判断出来的泄露时间是在2010年9月之前。泄露原因正在调查中。 官方对日期的说法还是很强调的,but,请注意这句:一直到2009年4月当时的程序员修改了密码保存方式,改成了加密密码。 我是八月份注册的,那按照CSDN的说法也是加密的,但很可惜,事实并不是这样,彼时依旧为明文格式存储用户密码。 卧槽,这是欺骗!!! 我继续围观了当时网上的一些评论: 知乎: – CSDN 密码泄漏事件会对 CSDN 和国内互联网造成怎样的后果? – 大家对于 CSDN 等网站的用户密码泄漏事件怎么看? 果壳: – … “吐槽CSDN强行实名制”

Read More

Debian7通过apt-get升级内核到3.16安装Docker

目前docker-ce 17.03版本,官方要求Debian版本大于wheezy 7.7或者Linux Kernel版本大于3.10,因此需要升级默认Debian 7的3.2.0内核版本。官方说明 添加官方backports源: vi /etc/apt/sources.list deb http://ftp.debian.org/debian/ wheezy-backports main # 或者用下方阿里的源也可以 # deb http://mirrors.aliyun.com/debian-backports/ wheezy-backports main contrib non-free # deb-src http://mirrors.aliyun.com/debian-backports/ wheezy-backports main contrib non-free 然后获取最新包版本: apt-get update && apt-get -t wheezy-backports … “Debian7通过apt-get升级内核到3.16安装Docker”

Read More

Windows下保存git账号密码实现免输入

Windows 10 支持git的凭证管理,但是Window 7之前的还不行。我在个人电脑的虚拟机上有时候懒得输入git的账号密码,可以使用此方法一劳永逸,不过这样账号同时也存在风险。 首先电脑上已经装了Git GUI 或者Git Bash,然后使用Win+R 键盘打开 运行 窗口,输入 %USERPROFILE% 回车。 这时候在该目录下有个.gitconfig的隐藏文件,使用文本编辑器打开,在底下添加如下两行: [credential] helper=store 然后当下次输入账号密码后,Git会自动将信息保存在此目录的.git-credentials文件中,往后就不必重复输入了。

Read More

升级Centos6到Centos7错误记录

入了一个HK的kvm,但是预置镜像都是老版本:centos6,debian7。因为只是为了做个DOCKER REGESTRY和扶墙,想升级下系统版本和内核,折腾了debian7无果,折腾下centos升级版本,再换内核。 网上找了一下,按照说明升级,发现已经不支持从6.x升级到最新的7.3了。 详情链接 WARNING! Do not use this method to upgrade from CentOS 6.7 or higher as several system critical packages are of a higher version number than they are in centos 7 so … “升级Centos6到Centos7错误记录”

Read More